Apple relembra programadores que alguns certificados estão a expirar

Depois de, no ano passado, várias apps para Mac terem ficado inoperacionais devido a um certificado expirado, a Apple não quer correr o mesmo risco.

Num anúncio feito na sua página para programadores, a Apple relembra que o certificado “Apple Worldwide Developer Relations Intermediate” vai expirar já no próximo dia 14 de Fevereiro. Este certificado poderá estar instalado em apps que forneceram passes para o Apple Wallet, que entreguem notificações Push via Safari ou que criem Extensões no Safari.

A Apple relembra também que esta mudança representa uma melhoria na segurança dos clientes e dos programadores e a empresa já disponibilizou um novo certificado (válido até Fevereiro de 2023), que os programadores terão que instalar nos seus sistemas e servidores.

Exactamente a Fevereiro de 2015 vários programadores de apps para Macs foram confrontados com um problema nos certificados, que impediu as suas apps de funcionarem. Mais tarde a Apple pediu desculpa pela situação constrangedora e em no final do ano passado a gigante norte-americana disponibilizou este novo certificado de segurança.

 

0 comentários